GET /issues

Authentication

API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)

Query Parameters

status string optional query
destination_id string optional query
limit string optional query
offset string optional query

Responses

200 List of issues with pagination
application/json
issues object[] REQUIRED
Array of:
id string REQUIRED
org_id string REQUIRED
env_id string REQUIRED
destination_id string REQUIRED
fingerprint string REQUIRED
title string REQUIRED
status string REQUIRED
snoozed_until string | null REQUIRED
occurrence_count integer REQUIRED
first_seen_at string REQUIRED
last_seen_at string REQUIRED
resolved_at string | null REQUIRED
last_attempt_id string | null REQUIRED
last_event_id string | null REQUIRED
last_error string | null REQUIRED
last_status_code integer | null REQUIRED
created_at string REQUIRED
updated_at string REQUIRED
destination_name string | null REQUIRED
pagination object REQUIRED
total number REQUIRED
limit number REQUIRED
offset number REQUIRED
has_more boolean REQUIRED
401 Unauthorized
curl -X GET 'https://hookstream.io/v1/issues' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://hookstream.io/v1/issues', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://hookstream.io/v1/issues', headers=headers)
print(response.json())
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://hookstream.io/v1/issues", nil)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
200 Response
{
  "issues": [
    {
      "id": "<string>",
      "org_id": "<string>",
      "env_id": "<string>",
      "destination_id": "<string>",
      "fingerprint": "<string>",
      "title": "<string>",
      "status": "<string>",
      "snoozed_until": "<string>",
      "occurrence_count": 123,
      "first_seen_at": "<string>",
      "last_seen_at": "<string>",
      "resolved_at": "<string>",
      "last_attempt_id": "<string>",
      "last_event_id": "<string>",
      "last_error": "<string>",
      "last_status_code": 123,
      "created_at": "<string>",
      "updated_at": "<string>",
      "destination_name": "<string>"
    }
  ],
  "pagination": {
    "total": 123,
    "limit": 123,
    "offset": 123,
    "has_more": true
  }
}
GET /issues
Ask a question... ⌘I